Debian Bug report logs - #467862
libparams-util-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libparams-util-perl; Maintainer for libparams-util-perl is Jonas Genannt <jonas.genannt@capi2name.de>; Source for libparams-util-perl is src:libparams-util-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:22:49 UTC

Severity: important

Tags: patch

Found in version libparams-util-perl/0.30-1

Fixed in version libparams-util-perl/0.30-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#467862; Package libparams-util-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libparams-util-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:22 +0200
Package: libparams-util-perl
Version: 0.30-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#467862; Package libparams-util-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #10 received at 467862@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467862@bugs.debian.org
Subject: libparams-util-perl: diff for NMU version 0.30-1.1
Date: Sat, 5 Apr 2008 22:28:08 +0100
[Message part 1 (text/plain, inline)]
tags 467862 + patch
thanks

Hi,

Attached is the diff for my libparams-util-perl 0.30-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libparams-util-perl-0.30-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:30:07 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467862-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467862-close@bugs.debian.org
Subject: Bug#467862: fixed in libparams-util-perl 0.30-1.1
Date: Sat, 05 Apr 2008 21:32:30 +0000
Source: libparams-util-perl
Source-Version: 0.30-1.1

We believe that the bug you reported is fixed in the latest version of
libparams-util-perl, which is due to be installed in the Debian FTP archive:

libparams-util-perl_0.30-1.1.diff.gz
  to pool/main/libp/libparams-util-perl/libparams-util-perl_0.30-1.1.diff.gz
libparams-util-perl_0.30-1.1.dsc
  to pool/main/libp/libparams-util-perl/libparams-util-perl_0.30-1.1.dsc
libparams-util-perl_0.30-1.1_all.deb
  to pool/main/libp/libparams-util-perl/libparams-util-perl_0.30-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467862@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libparams-util-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:08 +0100
Source: libparams-util-perl
Binary: libparams-util-perl
Architecture: source all
Version: 0.30-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libparams-util-perl - Perl extension for simple standalone param-checking functions
Closes: 467862
Changes: 
 libparams-util-perl (0.30-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467862
Files: 
 6d9879079b7e4ca2e4029e332d6ff414 675 perl optional libparams-util-perl_0.30-1.1.dsc
 4f780fa629307630627777ab3e4018f8 1899 perl optional libparams-util-perl_0.30-1.1.diff.gz
 67435d4a82f2de27a467d0baa498217d 16170 perl optional libparams-util-perl_0.30-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+UDNIW6CNDsByMRAlUOAJ9sJHhIHn4L6Z17BSOvTSo8dspHBgCgsIDz
57xdxWzQloS08Hlc3jSsi+k=
=W8oe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:46:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:54:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.